var page_pipewire =
[
    [ "Design", "page_design.html", [
      [ "Internals", "page_pipewire.html#autotoc_md108", null ],
      [ "Components", "page_pipewire.html#autotoc_md109", null ],
      [ "Backends", "page_pipewire.html#autotoc_md110", [
        [ "Protocol", "page_design.html#autotoc_md35", null ],
        [ "Extensibility", "page_design.html#autotoc_md36", null ]
      ] ]
    ] ],
    [ "PipeWire Audio", "page_audio.html", [
      [ "Use cases", "page_audio.html#autotoc_md21", [
        [ "Audio devices are made available as processing nodes/ports", "page_audio.html#autotoc_md22", [
          [ "Audio devices can be plugged and unplugged", "page_audio.html#autotoc_md23", null ],
          [ "Audio port in canonical format", "page_audio.html#autotoc_md24", null ],
          [ "Applications can connect to audio devices", "page_audio.html#autotoc_md25", null ],
          [ "Default audio sink and sources", "page_audio.html#autotoc_md26", null ],
          [ "Application should be able to move between sinks/sources", "page_audio.html#autotoc_md27", null ],
          [ "Exclusive access", "page_audio.html#autotoc_md28", null ]
        ] ]
      ] ],
      [ "Design", "page_audio.html#autotoc_md29", [
        [ "SPA", "page_audio.html#autotoc_md30", null ],
        [ "Audio Adapter", "page_audio.html#autotoc_md31", null ],
        [ "The session manager", "page_audio.html#autotoc_md32", null ]
      ] ],
      [ "Implementation", "page_audio.html#autotoc_md33", [
        [ "pipewire-media-session (alsa-monitor)", "page_audio.html#autotoc_md34", null ]
      ] ]
    ] ],
    [ "Access Control", "page_access.html", [
      [ "Use cases", "page_access.html#autotoc_md11", null ],
      [ "Design", "page_access.html#autotoc_md17", [
        [ "The PipeWire daemon", "page_access.html#autotoc_md18", null ],
        [ "The PipeWire access module", "page_access.html#autotoc_md19", null ],
        [ "The session manager", "page_access.html#autotoc_md20", null ]
      ] ]
    ] ],
    [ "Portal Access Control", "page_portal.html", [
      [ "Use cases", "page_portal.html#autotoc_md96", null ],
      [ "Design", "page_portal.html#autotoc_md100", [
        [ "The portal", "page_portal.html#autotoc_md101", null ],
        [ "The PipeWire portal module", "page_portal.html#autotoc_md102", null ],
        [ "The client", "page_portal.html#autotoc_md103", null ],
        [ "The session manager", "page_portal.html#autotoc_md104", null ]
      ] ]
    ] ],
    [ "MIDI Support", "page_midi.html", [
      [ "Use cases", "page_midi.html#autotoc_md57", null ],
      [ "Design", "page_midi.html#autotoc_md63", [
        [ "SPA", "page_midi.html#autotoc_md64", null ],
        [ "The PipeWire daemon", "page_midi.html#autotoc_md65", null ],
        [ "The session manager", "page_midi.html#autotoc_md66", null ]
      ] ],
      [ "Implementation", "page_midi.html#autotoc_md67", [
        [ "pipewire-media-session", "page_midi.html#autotoc_md68", null ],
        [ "JACK", "page_midi.html#autotoc_md69", null ]
      ] ]
    ] ],
    [ "Media Streams", "page_streams.html", [
      [ "Overview", "page_streams.html#sec_overview", null ],
      [ "Create", "page_streams.html#sec_create", null ],
      [ "Connect", "page_streams.html#sec_connect", [
        [ "Stream target", "page_streams.html#ssec_stream_target", null ],
        [ "Stream formats", "page_streams.html#ssec_stream_formats", null ]
      ] ],
      [ "Format negotiation", "page_streams.html#sec_format", null ],
      [ "Buffer negotiation", "page_streams.html#sec_buffers", null ],
      [ "Streaming", "page_streams.html#sec_streaming", [
        [ "Consume data", "page_streams.html#ssec_consume", null ],
        [ "Produce data", "page_streams.html#ssec_produce", null ]
      ] ],
      [ "Disconnect", "page_streams.html#sec_stream_disconnect", null ]
    ] ],
    [ "Client", "page_client.html", [
      [ "Overview", "page_client.html#sec_page_client_overview", null ],
      [ "Credentials", "page_client.html#sec_page_client_credentials", null ],
      [ "Types", "page_client.html#sec_page_client_types", null ],
      [ "Resources", "page_client.html#sec_page_client_resources", null ]
    ] ],
    [ "Proxy", "page_proxy.html", [
      [ "Overview", "page_proxy.html#sec_page_proxy_overview", null ],
      [ "Core proxy", "page_proxy.html#sec_page_proxy_core", null ],
      [ "Create", "page_proxy.html#sec_page_proxy_create", null ],
      [ "Bind", "page_proxy.html#sec_page_proxy_bind", null ],
      [ "Methods", "page_proxy.html#sec_page_proxy_methods", null ],
      [ "Events", "page_proxy.html#sec_page_proxy_events", null ],
      [ "Destroy", "page_proxy.html#sec_page_proxy_destroy", null ]
    ] ],
    [ "Threaded Loop", "page_thread_loop.html", [
      [ "Overview", "page_thread_loop.html#sec_thread_loop_overview", null ],
      [ "Creation", "page_thread_loop.html#sec_thread_loop_create", null ],
      [ "Destruction", "page_thread_loop.html#sec_thread_loop_destruction", null ],
      [ "Locking", "page_thread_loop.html#sec_thread_loop_locking", null ],
      [ "Events and Callbacks", "page_thread_loop.html#sec_thread_loop_events", null ]
    ] ],
    [ "PipeWire Objects Design", "page_objects_design.html", null ],
    [ "DMA-BUF sharing", "page_dma_buf.html", [
      [ "Stream parameters", "page_dma_buf.html#autotoc_md0", null ],
      [ "<tt>param_changed</tt> hook for <tt>SPA_PARAM_Format</tt>", "page_dma_buf.html#autotoc_md1", [
        [ "For producers", "page_dma_buf.html#autotoc_md2", null ],
        [ "For consumers", "page_dma_buf.html#autotoc_md3", null ]
      ] ],
      [ "For consumers: <tt>add_buffer</tt> hook", "page_dma_buf.html#autotoc_md4", null ]
    ] ],
    [ "PipeWire Daemon", "page_daemon.html", [
      [ "Configuration Files", "page_daemon.html#sec_config", [
        [ "Configuration File Format", "page_daemon.html#sec_config_format", null ]
      ] ],
      [ "Logging", "page_daemon.html#sec_logging", null ]
    ] ],
    [ "PipeWire Library", "page_library.html", null ],
    [ "PipeWire Tools", "page_tools.html", null ],
    [ "PipeWire Session Manager", "page_session_manager.html", null ],
    [ "PulseAudio compatibility", "page_pulseaudio.html", [
      [ "Internals - Mapping between ALSA and streams", "page_pulseaudio.html#autotoc_md111", [
        [ "ALSA Cards", "page_pulseaudio.html#autotoc_md112", null ],
        [ "Streams", "page_pulseaudio.html#autotoc_md113", null ]
      ] ],
      [ "Session Manager", "page_pulseaudio.html#autotoc_md114", [
        [ "ALSA UCM", "page_pulseaudio.html#autotoc_md115", null ],
        [ "ALSA fallback", "page_pulseaudio.html#autotoc_md116", null ],
        [ "ALSA pulse UCM", "page_pulseaudio.html#autotoc_md117", null ],
        [ "ALSA pulse fallback", "page_pulseaudio.html#autotoc_md118", null ]
      ] ],
      [ "PulseAudio", "page_pulseaudio.html#autotoc_md119", null ]
    ] ]
];